QGIS Application - Bug report #20323
OS X Mojave - Open File Dialog
2018-11-02 12:40 AM - Willem Buitendyk

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: mac_os_specific

Affected QGIS version:3.4.0 Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 28144
Description

Possibly a recent update in Mojave is now rendering QGIS version 2.14 and 3.4 slow and barely usable. Adding a new vector layer
results in a frustrating experience whereby the entire Mac will freeze for upwards of 10 seconds after which you can then select your file,
etc.

Related issues:
Related to QGIS Application - Bug report # 20381: QGIS freezes on MacOS 10.14... Open 2018-11-06

History

#1 - 2018-11-02 02:20 AM - Denis Rouzaud

How have you installed QGIS?

Have you updated the packages after the upgrade to Mojave?

(I'am not experiencing such issue on Mojave, but have built QGIS)

#2 - 2018-11-02 07:00 AM - Willem Buitendyk

Denis Rouzaud wrote:

How have you installed QGIS?

Have you updated the packages after the upgrade to Mojave?

(I am not experiencing such issue on Mojave, but have built QGIS)

Version 3.4 | installed today. | downloaded from qgis.org. 2.14 was there for a while. | noticed someone had the same complaint on nabble discussion

thread.

Same thing has happened to this person on qgis-user thread. He gives an error from console which might help:
https:/lists.osgeo.org/pipermail/qgis-user/2018-October/041375.html

#3 - 2018-11-02 08:00 AM - Willem Buitendyk
- File Screen Shot 2018-11-02 at 12.00.55 AM.png added
- File Screen Shot 2018-11-01 at 11.56.45 PM.png added

More information and things I've tried. 1"m running the latest version of Mojave 10.14.1. | tried booting in safe mode to no avail. | tried creating another
account and doing a fresh install in that account according to the package. This didn't work either. | notice that booting is also very slow and will freeze for
a bit before launching.
https://lists.osgeo.org/pipermail/qgis-user/2018-October/041375.html

Attached in 1st image are errors related to booting. Second image shows errors when trying to add a layer using file dialog.

#4 - 2018-11-02 09:42 PM - Willem Buitendyk

Resolved for me: | trashed the install package from qgis.org.

| then install qgis3 using homebrew.

Problem gone. After some reading it does appear that when building in Xcode that there is a new requirement to add in for legacy. | can't remember the

exact option and can't find it now. This is what | suspect at least.

#5 - 2018-11-02 09:54 PM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

#6 - 2018-12-04 11:46 AM - Jiirgen Fischer
- Related to Bug report #20381: QGIS freezes on MacOS 10.14 (and Qt 5.11) when launched from Launch Services (works ok when launched from
terminal) added
